Python
import requests
url = "https://app.langwatch.ai/api/scenario-events"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/scenario-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://app.langwatch.ai/api/scenario-events \
--header 'X-Auth-Token: <api-key>'{
"archived": 1,
"failed": 1,
"scenarioSetId": "<string>",
"hasMore": true
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Scenario Events
Delete all events
Archive all simulation runs for a scenario set. Pass scenarioSetId=default to archive runs in the implicit default set; future SDK runs without an explicit setId will repopulate it.
DELETE
/
api
/
scenario-events
Python
import requests
url = "https://app.langwatch.ai/api/scenario-events"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/scenario-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://app.langwatch.ai/api/scenario-events \
--header 'X-Auth-Token: <api-key>'{
"archived": 1,
"failed": 1,
"scenarioSetId": "<string>",
"hasMore": true
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Query Parameters
Minimum string length:
1Last modified on May 19, 2026
Was this page helpful?
⌘I